Skip to Content
avatar image
Former Member

Installation Support of SAP Kernel Products on Vista / Windows Server 2008

one of the major design goals of Vista and Microsoft Server 2008 is to harden the operating system against unauthorized attacks from viruses, trojan horses etc.

The most important change in Vista/Windows Server 2008 (formerly longhorn) is: a process running under a user account which belongs to the local administrators group does not run with administrative priviledges as long the process is not elevated to the administrative level.

Elevation can be done by starting the process per Explorer using <b>Run As Administrator</b> or using special APIs, which are new in Vista. Programs started with <b>Run as Administrator</b> will not be able to start subprocesses elevated without additional changes (compared to Windows XP / Server 2003).

Security settings of many Windows system objects like Directories and Registry Hives etc are much more restrictive in Vista compared to Windows Server 2003 / XP. In some functions SAPinst tries to access registry keys and values for enumeration with full access which is no longer possible in Vista.

In other words: without code changes in SAPInst for Vista / Windows Server 2003 there will be no possibility to install a SAP System on these platforms.

If you do not have a SAP note stating the opposit or if you do not have a PAM (Product Availability Matrix) entry promising support for Vista / Windows Server 2008 the probability is about 99.9 percent (or even higher) that the installation will <b>not</b> run.

regards

Peter

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Jun 12, 2007 at 01:51 PM

    > If you do not have a SAP note stating the opposit or

    > if you do not have a PAM (Product Availability

    > Matrix) entry promising support for Vista / Windows

    > Server 2008 the probability is about 99.9 percent (or

    > even higher) that the installation will <b>not</b>

    > run.

    You CAN evaluate, check

    Note 1054740 - SAP System Installation on Windows Longhorn Beta 3

    --

    Markus

    Add comment
    10|10000 characters needed characters exceeded

    • > >>If you do not have a SAP note stating the opposit

      > or

      > but there is nothing with what I wrote: Note 1054740

      > describes how to evaluate 7.00 based products.

      ...on Windows Longhorn (which will be your quoted Windows Server 2008)

      > This version will work - but the rest - especially

      > those ECC5 or 4.7 based IDES or MiniSAP systems or

      > all that stuff which is widely copied through some

      > unknown channels will not install.

      yes, that's true.

      I know of efforts porting MaxDB to Vista (there are some PTS'ses open) but generally one can say, that products below 7.00 are unlikely to work short term.

      --

      Markus